Package: groovy.text.markup

## [Java] Class MarkupTemplateEngine.TemplateResource

- groovy.text.markup.MarkupTemplateEngine.TemplateResource

-     public static class MarkupTemplateEngine.TemplateResource
      extends Object

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public boolean` | `hasLocale()`
    `` | `public static TemplateResource` | `parse(String fullPath)`
    `` | `public String` | `toString()`
    `` | `public TemplateResource` | `withLocale(String locale)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### public boolean hasLocale()

    - #### public static TemplateResource parse(String fullPath)

    - #### @Override
      public String toString()

    - #### public TemplateResource withLocale(String locale)